Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface TemplateDefinitionControl

    @ControlInterface
    public interface TemplateDefinitionControl

Method Summary
`TemplateDefinition` | `getCommunityTemplate(TemplateId id, ResourceContext context)` Gets a CommunityTemplate.
`SortableFilterablePagedResult<? extends TemplateDefinition>` | `getCommunityTemplates(int pageSize, TemplateSearchCriteria criteria, boolean libraryScope, ResourceContext context)` Gets a PagedResult of all the Community Templates.
`TemplateDefinition` | `getDesktopTemplate(TemplateId id, ResourceContext context)` Gets a DesktopTemplate.
`SortableFilterablePagedResult<? extends TemplateDefinition>` | `getDesktopTemplates(int pageSize, TemplateSearchCriteria criteria, boolean libraryScope, ResourceContext context)` Gets a list of all the desktop templates

Method Detail

### getDesktopTemplates

    SortableFilterablePagedResult<? extends TemplateDefinition> getDesktopTemplates(int pageSize,
                                                                                    TemplateSearchCriteria criteria,
                                                                                    boolean libraryScope,
                                                                                    ResourceContext context)
                                                                                    throws ToolsException

  Gets a list of all the desktop templates

  Parameters
    `pageSize` - The page size for a page in the iterator.
    `criteria` - The search/filter predicate object.
    `libraryScope` - True if getting library level templates, false otherwise.
    `context` - the resource context.
  Returns
    A pagedResult of DesktopTemplates.
  Throws
    `ToolsException`

### getCommunityTemplates

    SortableFilterablePagedResult<? extends TemplateDefinition> getCommunityTemplates(int pageSize,
                                                                                      TemplateSearchCriteria criteria,
                                                                                      boolean libraryScope,
                                                                                      ResourceContext context)
                                                                                      throws ToolsException

  Gets a PagedResult of all the Community Templates.

  Parameters
    `pageSize` - The max page size of a page in the iterator.
    `criteria` - The search/filter predicate object.
    `libraryScope` - True if getting library level templates, false otherwise.
    `context` - the resource context.
  Returns
    An Iterator of community templates.
  Throws
    `ToolsException`

### getDesktopTemplate

    TemplateDefinition getDesktopTemplate(TemplateId id,
                                          ResourceContext context)
                                          throws ToolsException

  Gets a DesktopTemplate.

  Parameters
    `id` - The template id of the desktop template to fetch.
    `context` - the resource context.
  Returns
    The TemplateDefinition mapped to the supplied id.
  Throws
    `ToolsException`

### getCommunityTemplate

    TemplateDefinition getCommunityTemplate(TemplateId id,
                                            ResourceContext context)
                                            throws ToolsException

  Gets a CommunityTemplate.

  Parameters
    `id` - The template id of the community template to fetch.
    `context` - the resource context.
  Returns
    The TemplateDefinition mapped to the supplied id.
  Throws
    `ToolsException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.